System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Xml.Serialization.XmlRoot("discovery", Namespace="http://schemas.xmlsoap.org/disco/")

XML Web services discovery involves discovering the available XML Web services, given an URL. The URL typically points to a discovery document, which usually has a.disco file name extension. The discovery document, which is an XML document, contains references to information about the existance of XML Web services, such as a service description, XML Schema Definition (XSD) language schema, or another discovery document. This class represents the contents of the discovery document; where the property contains a list of the references contained within the discovery document.

Represents a discovery document. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Returns a value indicating whether the passed can be deserialized into a .

  true if can be deserialized into a ; otherwise, false.

  The that is tested whether it can be deserialized into a . 1.0.5000.0 2.0.0.0
- Field
  System.String

  A discovery document contains references to documents describing Web Services. These references are XML elements contained within a discovery XML element. That discovery XML element is a member of the XML namespace specified by the constant.

  Namespace of the discovery XML element of a discovery document.

  1.0.5000.0
  2.0.0.0
- Method
  System.Web.Services.Discovery.DiscoveryDocument `` To be added

  Reads and returns a from the passed .

  A containing the contents of a discovery document from the passed .

  The from which to read the . 1.0.5000.0 2.0.0.0
- Method
  System.Web.Services.Discovery.DiscoveryDocument `` a To be added

  Reads and returns a from the passed .

  A containing the contents of a discovery document from the passed .

  1.0.5000.0
  2.0.0.0
- Method
  System.Web.Services.Discovery.DiscoveryDocument `` To be added

  Reads and returns a from the passed .

  A containing the contents of a discovery document from the passed .

  The from which to read the . 1.0.5000.0 2.0.0.0
- Property
  System.Collections.IList a

  A discovery document contains references to information about the existence of XML Web services. These references can refer to service descriptions, XSD schemas, or other discovery documents. The property contains a list of these references.

  A list of references contained within the discovery document.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Method
  System.Void `` To be added

  Writes this into the passed .

  The into which this is written. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added

  Writes this into the passed .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` a To be added

  Writes this into the passed .

  1.0.5000.0
  2.0.0.0